BILDERBLOCK THEME
#################

Project site:  	http://drupal.org/project/bilderblock
Author:			[David Herminghaus](http://david.herminghaus.de)


PREFACE
-------
This theme is primarily intended to display your photos, e. g. in case you
decide not to host them at one of the many cloud photo services.

FEATURES
--------

DRUPAL INTEGRATION
------------------
### Color
### Colorbox
### Taxonomy
### Views
### ais

### Modernizr
Bilderblock recognizes modernizr's "html.touchevents" class to decide whether
hover-based effects will apply.

### Views
(see "film strips")

MARKUP/BROWSER SUPPORT
----------------------

FILM STRIPS
-----------
Search results and taxonomy term pages will automatically render as film
strips with node teasers. This will make sure that the block/content will not be
displayed with a colorized background, and also with a layout according to
standard taxonomy term displays ("film strips").

### CSS customization
Use the "bilderblock-has-teasers" class for elements that contain such teaser
slides.

### Views
Add an "inline" row class, to conveniently display e. g. thumbnails floating inline
(use "unformatted list" display and inline fields here). Also, make sure your view
has the class "bilderblock-has-teasers" for the best possible output.

## Known issues
The theme is still work in progress. Check the issue queue first
for recent updates.

### Tint not sufficiently implemented
The "tint" effect needs a rework, since the legacy (Wordpress) theme used a
faked, overlay based solution (with either a second image style or
a semi-transparent div). This, however, messes up the raw markup and causes
a lot of bloat. Thus an svg based tint effect is on the roadmap for the
first release.

### Swipe not working
Although the module is prepared for basic jQuery mobile swipe events (i. e. open/
close menu), there is evidence that this is not working in many conditions due
to conflicts at a more general scope (Drupal?). This is still under investigation.
